Updates an ad

Update an ad

put
Path parameters
idstringRequired

The id of the ads to update.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Body

Represents a command request data transfer object (DTO) used to create or update Ads object.

typestring · enumRequired

Provide the type of the ads.

Possible values:
titlestring · min: 1Required

Gets or sets the title of the advertisement.

positionstring · min: 1Required

Gets or sets the display position of the advertisement (e.g., homepage-top, sidebar).

targetURLstring · uri · nullableOptional

Gets or sets the target URL that the ad points to when clicked.

descriptionstring · nullableOptional

Gets or sets the description of the advertisement.

tagsstring · nullableOptional

Gets or sets the tags of the advertisement.

startDatestring · date-timeRequired

Gets or sets the start date and time when the advertisement becomes active. Format: yyyy-MM-dd HH:mm:ss

endDatestring · date-timeRequired

Gets or sets the end date and time when the advertisement expires. Format: yyyy-MM-dd HH:mm:ss

metadatastring · nullableOptional

Gets or sets the metadata of the advertisement.

languageCodesstring[] · nullableOptional

Gets or sets the list of supported language codes for targeting the advertisement. Uses ISO 639-1 format (e.g., "en", "vi"). If null, the advertisement is available for all languages.

countryCodesstring[] · nullableOptional

Gets or sets the list of supported country codes for targeting the advertisement. Uses ISO 3166-1 alpha-2 format (e.g., "US", "VN"). If null, the advertisement is available in all countries.

statusstring · enumOptional

Provide the status of the ads

Possible values:
imageURLsstring[] · nullableOptional

Gets or sets the list of image URLs for the advertisement. Allowed formats: JPG, PNG, GIF. Maximum allowed images: 5.

brandDomainIdsstring[]Required

The list of brand domains for the advertisement.

Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

databooleanOptional
put
/api/v1/ads/{id}

Last updated